HomePhabricator

build: Updating npm dependencies

Description

build: Updating npm dependencies

  • eslint-config-wikimedia: 0.9.0 → 0.15.0
  • grunt-eslint: 21.0.0 → 22.0.0
  • grunt-stylelint: 0.10.1 → 0.13.0
  • stylelint-config-wikimedia: 0.4.3 → 0.8.0

Additional changes:

  • Remove direct "stylelint" dependency in favor of "grunt-stylelint".
  • Removing manual reportUnusedDisableDirectives for eslint.
  • Disable declaration-empty-line-before stylelint rule on the one line where it fails (we want that display: none to stand out).

Change-Id: I7f4317c044cb44d47471deea7b2522ed192fc741

Details

Event Timeline

Lucas_Werkmeister_WMDE committed rEBQC105b1a013793: build: Updating npm dependencies (authored by libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>).Jan 10 2020, 6:19 PM